import { edenFetch } from "elysia/eden";
import { Api } from "../api/serveApi.ts";

export const fetchApi = edenFetch<Api>(`${location.origin}/api`);

export function handleResponse<D, E>(
  response: { data: D; error: E },
): NonNullable<D> {
  if (response.data) {
    return response.data;
  }
  throw new Error(String(response.error));
}
